メインコンテンツへスキップ
POST /api/v1/forward/identities インテグレーターの製品における 1 人のエンドユーザーを表す Identity を作成します。Forward はこの Identity を使用して、セッション、構成、リソース、監査コンテキストのスコープを定めます。

Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT>
Content-TypeYesapplication/json
Idempotency-KeyNo安全でないリクエストに対する任意のべき等性キー。

Body parameters

ParameterTypeRequiredDescription
external_idstringYesインテグレーターのシステムにおけるエンドユーザー ID。空文字列や空白のみであってはなりません。
namestringNo表示名。指定する場合は空文字列や空白のみであってはなりません。
enabledbooleanNoこのアイデンティティが使用可能かどうか。デフォルトは true
metadataobjectNoカスタムメタデータ。推奨される最大キー数は 16 です。

Example request

curl -s -X POST 'https://api.qoder.com/api/v1/forward/identities' \
  -H "Authorization: Bearer $QODER_PAT" \
  -H "Content-Type: application/json" \
  -d '{
    "external_id": "user_456",
    "name": "Example User",
    "metadata": {
      "channel": "web"
    }
  }'

Example response

HTTP 201 Created
{
  "id": "idn_019eabc123",
  "external_id": "user_456",
  "name": "Example User",
  "enabled": true,
  "metadata": {
    "channel": "web"
  },
  "created_at": "2026-06-18T10:00:00Z",
  "updated_at": "2026-06-18T10:00:00Z"
}

Response fields

FieldTypeDescription
idstringForward Identity ID。推奨されるプレフィックスは idn_ です。
external_idstringインテグレーターのシステムにおけるエンドユーザー ID。
namestring表示名。
enabledbooleanこの Identity を新しい操作に使用できるかどうか。
metadataobjectカスタムメタデータ。
created_atstring作成タイムスタンプ。
updated_atstring更新タイムスタンプ。

Errors

HTTPTypeTrigger
400invalid_request_errorexternal_idname、またはメタデータが欠落しているか無効です。
401authentication_errorPAT が無効または期限切れです。
409conflict_errorIdentity が既存のレコードと競合しています。

Notes

  • Identity は Qoder のログインアカウントや IAM ユーザーではありません。
  • 実際のエンドユーザーの認証はインテグレーターの責任のままです。

アイデンティティ一覧を取得する

セッションを作成する